The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"При установке  ПО из портрв ошибка: pq.4 - not found"
Вариант для распечатки  
Пред. тема | След. тема 
Форумы OpenNET: Виртуальная конференция (Public)
Изначальное сообщение [Проследить за развитием треда]

"При установке  ПО из портрв ошибка: pq.4 - not found"  
Сообщение от pLastUn email on 27-Дек-07, 14:57 
Система FreeBSD 5.5-RELEASE

При установке практически любого порта происходит вот такая картина:
--------------------------------------
mailer#root:[/usr/ports/net-im/jabber-pymsn] make
===>  Vulnerability check disabled, database not found
===>  Found saved configuration for jabber-pymsn-transport-0.11.2_2,1
===>  Extracting for jabber-pymsn-transport-0.11.2_2,1
=> MD5 Checksum OK for jabber/pymsnt-0.11.2.tar.gz.
=> SHA256 Checksum OK for jabber/pymsnt-0.11.2.tar.gz.
===>  Patching for jabber-pymsn-transport-0.11.2_2,1
===>  Applying FreeBSD patches for jabber-pymsn-transport-0.11.2_2,1
===>   jabber-pymsn-transport-0.11.2_2,1 depends on file: /usr/local/bin/python2.4 - found
===>   jabber-pymsn-transport-0.11.2_2,1 depends on shared library: pq.4 - not found
===>    Verifying install for pq.4 in /usr/ports/databases/postgresql81-client
===>  Vulnerability check disabled, database not found
===>  Found saved configuration for postgresql-client-8.1.10
===>  Extracting for postgresql-client-8.1.10
=> MD5 Checksum OK for postgresql/postgresql-base-8.1.10.tar.bz2.
=> SHA256 Checksum OK for postgresql/postgresql-base-8.1.10.tar.bz2.
=> MD5 Checksum OK for postgresql/postgresql-opt-8.1.10.tar.bz2.
=> SHA256 Checksum OK for postgresql/postgresql-opt-8.1.10.tar.bz2.
===>  Patching for postgresql-client-8.1.10
===>  Applying FreeBSD patches for postgresql-client-8.1.10
===>   postgresql-client-8.1.10 depends on file: /usr/local/lib/libcrypto.so.4 - found
===>   postgresql-client-8.1.10 depends on executable: gmake - found
===>   postgresql-client-8.1.10 depends on shared library: pq.4 - not found
===>    Verifying install for pq.4 in /usr/ports/databases/postgresql81-client
===>   postgresql-client-8.1.10 depends on file: /usr/local/lib/libcrypto.so.4 - found
===>   postgresql-client-8.1.10 depends on executable: gmake - found
===>   postgresql-client-8.1.10 depends on shared library: pq.4 - not found
===>    Verifying install for pq.4 in /usr/ports/databases/postgresql81-client
===>   postgresql-client-8.1.10 depends on file: /usr/local/lib/libcrypto.so.4 - found
===>   postgresql-client-8.1.10 depends on executable: gmake - found
===>   postgresql-client-8.1.10 depends on shared library: pq.4 - not found
===>    Verifying install for pq.4 in /usr/ports/databases/postgresql81-client
===>   postgresql-client-8.1.10 depends on file: /usr/local/lib/libcrypto.so.4 - found
===>   postgresql-client-8.1.10 depends on executable: gmake - found
===>   postgresql-client-8.1.10 depends on shared library: pq.4 - not found
===>    Verifying install for pq.4 in /usr/ports/databases/postgresql81-client
===>   postgresql-client-8.1.10 depends on file: /usr/local/lib/libcrypto.so.4 - found
===>   postgresql-client-8.1.10 depends on executable: gmake - found
===>   postgresql-client-8.1.10 depends on shared library: pq.4 - not found
===>    Verifying install for pq.4 in /usr/ports/databases/postgresql81-client
===>   postgresql-client-8.1.10 depends on file: /usr/local/lib/libcrypto.so.4 - found
===>   postgresql-client-8.1.10 depends on executable: gmake - found
===>   postgresql-client-8.1.10 depends on shared library: pq.4 - not found
===>    Verifying install for pq.4 in /usr/ports/databases/postgresql81-client
^C
----------------------------------------------------------------
и так бесконечный цикл.

Что есть "общедоступная библиотека pq.4 и как ее всетаки прикрутить?

Высказать мнение | Ответить | Правка | Cообщить модератору

 Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "При установке  ПО из портрв ошибка: pq.4 - not found"  
Сообщение от newser (ok) on 27-Дек-07, 15:24 
>[оверквотинг удален]
>===>    Verifying install for pq.4 in /usr/ports/databases/postgresql81-client
>===>   postgresql-client-8.1.10 depends on file: /usr/local/lib/libcrypto.so.4 - found
>===>   postgresql-client-8.1.10 depends on executable: gmake - found
>===>   postgresql-client-8.1.10 depends on shared library: pq.4 - not found
>===>    Verifying install for pq.4 in /usr/ports/databases/postgresql81-client
>^C
>----------------------------------------------------------------
>и так бесконечный цикл.
>
>Что есть "общедоступная библиотека pq.4 и как ее всетаки прикрутить?

Попробуйте обновить порты.

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

2. "При установке  ПО из портрв ошибка: pq.4 - not found"  
Сообщение от pLastUn email on 27-Дек-07, 15:38 
Сделано, не помогло, ситуация та-же.


Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

3. "При установке  ПО из портрв ошибка: pq.4 - not found"  
Сообщение от pLastUn email on 27-Дек-07, 17:30 
Все, разобрался!

В файле "/usr/ports/Mk/bsd.database.mk" в секции "USE_PGSQL" закоментил строчку
"LIB_DEPENDS+=   pq.${PGSQL${PGSQL_VER}_LIBVER}:${PORTSDIR}/databases/postgresql${PGSQL_VER}-client"

потом установил "/usr/ports/databases/postgresql81-client" и строчку обратно раскоментил.

И вот "depends on shared library: pq.4 - found"

Победа!

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Индекс форумов | Темы | Пред. тема | След. тема
Оцените тред (1=ужас, 5=супер)? [ 1 | 2 | 3 | 4 | 5 ] [Рекомендовать для помещения в FAQ]




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2020 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру